Skip to main content
POST
Pause an inbox

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Path Parameters

id
string<uuid>
required

Response

An inbox: a durable, user-scoped queue for a trigger subscription, identified by its natural key.

An inbox: a durable, user-scoped queue for a trigger subscription, identified by its natural key.

id
string<uuid>
required
read-only

The unique identifier for the inbox.

created_at
string<date-time>
required
read-only

Creation timestamp in ISO 8601 format.

status
string
required
read-only

The status of the inbox.

subscription
object
required

Trigger subscription configuration for an inbox.

key
string

The inbox's natural key. Set at creation, immutable, unique per user.

Maximum string length: 100
name
string
deprecated

Deprecated alias for key. Use key instead.

Maximum string length: 100
paused_reason

The reason the inbox was paused, if applicable.

  • user - user
  • authentication - authentication
  • authentication_access_revoked - authentication_access_revoked
  • partner_revoked - partner_revoked
  • subscribe_failed - subscribe_failed
  • migrate_failed - migrate_failed
  • abandoned - abandoned
  • unknown - unknown
  • upstream_failures - upstream_failures
Available options:
user,
authentication,
authentication_access_revoked,
partner_revoked,
subscribe_failed,
migrate_failed,
abandoned,
unknown,
upstream_failures
notification_url
string<uri> | null

URL to POST notifications to when messages become available.

Maximum string length: 2048